<?php
/**
 * RSS Marquee
 *
 * @package     RSS Marquee
 * @subpackage  mod_rss_title_slider
 * @version   	4.0
 * @author    	Gopi Ramasamy
 * @copyright   Copyright (C) 2010 - 2021 www.gopiplus.com. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 *
 * http://www.gopiplus.com/extensions/2012/03/scrolling-rss-marquee-joomla-module/
 */
 
namespace Joomla\Module\RssMarquee\Site\Helper;

defined('_JEXEC') or die;

abstract class RssMarqueeHelper
{
	public static function getFeed(&$params)
	{
		$url = $params->get('marquee_rss');
		
		if($url == "")
		{
			return \JText::_('RSSMARQUEE_ERR1');
		}
		
		try
		{
			$feed   = new \JFeedFactory;
			$rssDoc = $feed->getFeed($url);
		}
		catch (Exception $e)
		{
			return \JText::_('RSSMARQUEE_ERR2');
		}
		
		if (empty($rssDoc))
		{
			return \JText::_('RSSMARQUEE_ERR3');
		}

		if ($rssDoc)
		{
			return $rssDoc;
		}
	}
}